#
# ADS8568 controller configuration file
#

# The firmware path for the opal kelly controller (relative to the tools directory)
#fw_path = "../ads/ok/ads_controller.bit' # Default path
fw_path = '../ads/ok/xem7001/ads_controller_2.bit' # Default path

# The number of active channels for the opal kelly controller
channels = 2

# The number of chips in the chain (1..16)
chain_len = 32
# The time 10x multiplier
# The time units are 1 usec if False otherwise 10 usec
time10mult = False

# Integrator reset time (1..32)
irst_time = 1

# Time from integrator reset till the conversion start (1..65536)
itime = 1

# Frame period (1..65536)
period =500

# Use on-board LEDs
use_leds = True

#
# Version 2 specific configuration:
#

# Readout clock divider (1..16). The master clock frequency is 24MHz.
rd_clk_div = 2

# Position sync denounce time specifier (0..15)
# This is the log2 of the time expressed in 1 or 10 usec units (depending on time10mult setting)
psync_debounce = 4

# Position sync active edge (0 - falling, 1 - rising)
psync_edge = 0

psync_div = 1

# Enable frame start on position sync edge
psync_start_en = False

fsync2_en   = True
