#! python3
from teraFAST import processor as tp

import time

count = 0
def callback(data):
    global count
    if data is not None:
    #do something with data
        print(count, data.shape)
    else:
        print( "Data queue is empty.")
    count +=1
    if count >= 100:
    # you may stop acquisition by returning True from the callback (instead of calling processor.stop() return True
        return True
    
def main():    
    frameLength = 256 #number of lines returned per frame
    source = tp.processor(rows=frameLength)
    #You need to start data acquisition explicitly
    source.start(callback)
    # Sleep for some time or do something while acquisition is going on
    time.sleep(3)
    ## time.sleep(10)
    #stop() function should be called from the main thread, not from the callback
    source.stop()
    
if __name__ == '__main__':
    main()
