#! python3

from teraFAST import processor as tp
from teraFAST import worker as tw

def main():
    frameLength = 256 #number of lines returned per frame
    source = tp.processor(rows=frameLength)
    convert = tw.Worker(size = (source.X_SIZE,source.Y_SIZE))
    #You need to start data acquisition explicitly
    source.start()
    for i in range(100):
        data = source.read()
        img = convert.makeImg(data)
        #do something with image
        print(img.shape)
    #Call stop() to stop acquisition and join the acquisition and processing thread
    source.stop()

if __name__ == '__main__':
    main()
