#! python3
from teraFAST import processor as tp

def main():
    frameLength = 256 #number of lines returned per frame
    
    source = tp.processor(rows=frameLength)
    from teraFAST.iface import instance
    print(instance)
    #You need to start data acquisition explicitly
    source.start()
    for i in range(100):
        data = source.read()
        #do something with data
        print(data.shape)
    #Call stop() to stop acquisition and join the acquisition and processing thread
    source.stop()
    
if __name__ == '__main__':
    main()
